%define lib_major 2
%define lib_name %mklibname icc %{lib_major}
%define lib_name_devel %mklibname icc -d

Name:    icclib
Version: 2.13
%define subrel 1
Release: %mkrel 1
Summary: ICC profile I/O library

Group:     Graphics
License:   GPLv3
URL:       http://www.argyllcms.com/
Source0:   http://www.argyllcms.com/icclib_V%{version}.zip
# (fc) 2.1-0.beta.1mdv change build system to use autotools (Debian)
Patch0:    icclib-2.1-autotools.patch
Patch1:	   icclib-2.13-CVE-2012-4405.diff

%description
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.

%package -n %{lib_name}
Summary:        Libraries for icclib
Group:          System/Libraries

%description -n %{lib_name}
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.

%package -n %{lib_name_devel}
Summary:        Development libraries, header files for icclib
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %{version}
Provides:	icclib-devel = %{version}-%{release}

%description -n %{lib_name_devel}
The icclib is a set of routines which implement the reading and
writing of color profile files that conform to the International
Color Consortium (ICC) Profile Format Specification, Version 3.4.


%prep
%setup -q -c
%patch0 -p1 -b .autotools
%patch1 -p0 -b .CVE-2012-4405

#needed by patch0
autoreconf -fi

%build

%configure2_5x --disable-static

%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

rm -fr %buildroot%_libdir/*.la

%files 
%{_bindir}/*

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*

%files -n %{lib_name_devel}
%doc log.txt Readme.txt todo.txt
%{_libdir}/*.so
%{_includedir}/*




%changelog

* Wed Sep 12 2012 luigiwalser <luigiwalser> 2.13-1.1.mga2
+ Revision: 293078
- add patch from redhat via mdv to fix CVE-2012-4405

  + fwang <fwang>
    - new version 2.13

* Sat Oct 01 2011 dmorgan <dmorgan> 2.12-1.mga2
+ Revision: 150688
- Fix typo
- imported package icclib

